Package org.eclipse.lemminx.utils.platform

## Class Platform

- java.lang.Object
- - org.eclipse.lemminx.utils.platform.Platform

    public class Platform
    extends Object

Platform information about OS and JVM.

### Field Summary

Fields
`static boolean` `isWindows`
`static String` `SLASH`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `details()` Returns the server details, using the format:
`static JVM` `getJVM()` Returns the JVM information
`static OS` `getOS()` Returns the OS information
`static Version` `getVersion()` Returns the version information

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isWindows

    public static final boolean isWindows

#### SLASH

    public static String SLASH

### Method Detail

#### getOS

    public static OS getOS()

Returns the OS information

Returns:
  the OS information

#### getJVM

    public static JVM getJVM()

Returns the JVM information

Returns:
  the JVM information

#### getVersion

    public static Version getVersion()

Returns the version information

Returns:
  the version information

#### details

    public static String details()

Returns the server details, using the format:

     LemMinX Server info:
      - Version : (build version)
      - Java : (path to java.home])
      - Git : ([Branch] short commit id - commit message)

Returns:
  the formatted server details